(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.4' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     10630,        267]
NotebookOptionsPosition[     11050,        258]
NotebookOutlinePosition[     11411,        274]
CellTagsIndexPosition[     11368,        271]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Honoraires d'architecte", "Title",
 CellChangeTimes->{{3.610951445540433*^9, 3.610951485582403*^9}, {
  3.6686628544253283`*^9, 3.668662859385728*^9}}],

Cell["Temps moyen n\[EAcute]cessaire de r\[EAcute]alisation en h", "Subtitle",
 CellChangeTimes->{{3.610951706384057*^9, 3.61095171621819*^9}, {
  3.610953024655113*^9, 3.6109530260161037`*^9}, {3.668662871266415*^9, 
  3.668662894587076*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<Temps moyen n\[EAcute]cessaire en h\>\"", ",", 
        "\"\<honoraires en CHF\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"10", "^", "6"}], "*", "B", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"z1", "+", 
             RowBox[{"z2", "/", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"10", "^", "6"}], "*", "B"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"1", "/", "3"}], ")"}]}]}]}], ")"}], "/", "100"}], 
          "*", "n", "*", 
          RowBox[{"q", "/", "100"}], "*", "r"}], "]"}], ",", 
        RowBox[{"Round", "[", 
         RowBox[{
          RowBox[{"10", "^", "6"}], "*", "B", " ", "*", 
          RowBox[{"(", 
           RowBox[{"z1", "+", 
            RowBox[{"z2", "/", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"10", "^", "6"}], "*", "B"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"1", "/", "3"}], ")"}]}]}]}], ")"}], 
          RowBox[{"t", "/", "100"}], "*", "n", "*", 
          RowBox[{"q", "/", "100"}], "*", "r"}], "]"}]}], "}"}]}], "}"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z1", ",", ".062", ",", "\"\<Coeff SIA Z1\>\""}], "}"}], ",", 
     ".05", ",", ".08", ",", ".001", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z2", ",", "10.58", ",", "\"\<Coeff SIA Z2\>\""}], "}"}], ",", 
     "10", ",", "11", ",", ".001", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "n", ",", "1", ",", "\"\<degr\[EAcute] de difficult\[EAcute] n\>\""}], 
      "}"}], ",", "1", ",", "2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q", ",", "100", ",", "\"\<part de prestation en % q\>\""}], 
      "}"}], ",", "10", ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1", ",", "\"\<facteur d'ajustement r\>\""}], "}"}], 
     ",", "1", ",", "2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "t", ",", "100", ",", 
       "\"\<r\[EAcute]mun\[EAcute]ration horaire moyenne h\>\""}], "}"}], ",",
      "70", ",", "200", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "B", ",", "1.5", ",", 
       "\"\<Co\[UHat]t de l'objet en million de CHF B\>\""}], "}"}], ",", 
     "0.1", ",", "5", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.622177573874078*^9, 3.622177628080641*^9, 3.622177659113833*^9, {
   3.6686636830536346`*^9, 3.6686637220423594`*^9}, {3.66866497548258*^9, 
   3.6686650176934977`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`B$$ = 1.5, $CellContext`n$$ = 
    1, $CellContext`q$$ = 100, $CellContext`r$$ = 1, $CellContext`t$$ = 
    100, $CellContext`z1$$ = 0.062, $CellContext`z2$$ = 10.58, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`z1$$], 0.062, "Coeff SIA Z1"}, 0.05, 0.08, 0.001}, {{
      
       Hold[$CellContext`z2$$], 10.58, "Coeff SIA Z2"}, 10, 11, 0.001}, {{
       Hold[$CellContext`n$$], 1, "degr\[EAcute] de difficult\[EAcute] n"}, 1,
       2, 0.01}, {{
       Hold[$CellContext`q$$], 100, "part de prestation en % q"}, 10, 100, 
      1}, {{
       Hold[$CellContext`r$$], 1, "facteur d'ajustement r"}, 1, 2, 0.01}, {{
       Hold[$CellContext`t$$], 100, 
       "r\[EAcute]mun\[EAcute]ration horaire moyenne h"}, 70, 200, 1}, {{
       Hold[$CellContext`B$$], 1.5, 
       "Co\[UHat]t de l'objet en million de CHF B"}, 0.1, 5, 0.1}}, 
    Typeset`size$$ = {529., {16.7010498046875, 25.2989501953125}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`z1$38151$$ = 0, $CellContext`z2$38152$$ = 
    0, $CellContext`n$38153$$ = 0, $CellContext`q$38154$$ = 
    0, $CellContext`r$38155$$ = 0, $CellContext`t$38156$$ = 
    0, $CellContext`B$38157$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`B$$ = 1.5, $CellContext`n$$ = 
        1, $CellContext`q$$ = 100, $CellContext`r$$ = 1, $CellContext`t$$ = 
        100, $CellContext`z1$$ = 0.062, $CellContext`z2$$ = 10.58}, 
      "ControllerVariables" :> {
        Hold[$CellContext`z1$$, $CellContext`z1$38151$$, 0], 
        Hold[$CellContext`z2$$, $CellContext`z2$38152$$, 0], 
        Hold[$CellContext`n$$, $CellContext`n$38153$$, 0], 
        Hold[$CellContext`q$$, $CellContext`q$38154$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$38155$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$38156$$, 0], 
        Hold[$CellContext`B$$, $CellContext`B$38157$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Grid[{{"Temps moyen n\[EAcute]cessaire en h", "honoraires en CHF"}, {
          Round[
          10^6 $CellContext`B$$ (($CellContext`z1$$ + $CellContext`z2$$/(
               10^6 $CellContext`B$$)^(1/3))/
            100) $CellContext`n$$ ($CellContext`q$$/100) $CellContext`r$$], 
          Round[
          10^6 $CellContext`B$$ ($CellContext`z1$$ + $CellContext`z2$$/(
              10^6 $CellContext`B$$)^(1/3)) ($CellContext`t$$/
            100) $CellContext`n$$ ($CellContext`q$$/100) $CellContext`r$$]}}],
       "Specifications" :> {{{$CellContext`z1$$, 0.062, "Coeff SIA Z1"}, 0.05,
          0.08, 0.001, Appearance -> 
         "Labeled"}, {{$CellContext`z2$$, 10.58, "Coeff SIA Z2"}, 10, 11, 
         0.001, Appearance -> 
         "Labeled"}, {{$CellContext`n$$, 1, 
          "degr\[EAcute] de difficult\[EAcute] n"}, 1, 2, 0.01, Appearance -> 
         "Labeled"}, {{$CellContext`q$$, 100, "part de prestation en % q"}, 
         10, 100, 1, Appearance -> 
         "Labeled"}, {{$CellContext`r$$, 1, "facteur d'ajustement r"}, 1, 2, 
         0.01, Appearance -> 
         "Labeled"}, {{$CellContext`t$$, 100, 
          "r\[EAcute]mun\[EAcute]ration horaire moyenne h"}, 70, 200, 1, 
         Appearance -> 
         "Labeled"}, {{$CellContext`B$$, 1.5, 
          "Co\[UHat]t de l'objet en million de CHF B"}, 0.1, 5, 0.1, 
         Appearance -> "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{642., {169., 177.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.622177567139986*^9, 3.622177574947084*^9}, 
   3.622177628421665*^9, 3.622177660521047*^9, 3.6686636886477127`*^9, 
   3.668663731216775*^9, 3.668663951148706*^9, {3.6686649948002768`*^9, 
   3.6686650211074753`*^9}}]
}, Open  ]],

Cell[TextData[{
 StyleBox["N. B.",
  FontWeight->"Bold"],
 " Le rapport de l\[CloseCurlyQuote]OFS ",
 Cell[BoxData[
  FormBox[
   ButtonBox[
    RowBox[{
    "La", " ", "statistique", " ", "suisse", " ", "des", " ", "prix", " ", 
     "de", " ", "la", " ", 
     RowBox[{"construction", ".", " ", "Bases"}], " ", 
     "m\[EAcute]thodologiques"}],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL[
      "http://www.bfs.admin.ch/bfs/portal/fr/index/themen/05/05/blank/data/0.\
Document.155053.pdf."], None},
    ButtonNote->
     "http://www.bfs.admin.ch/bfs/portal/fr/index/themen/05/05/blank/data/0.\
Document.155053.pdf."], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " mentionne des prix qui correspondent \[AGrave] ceux pratiqu\[EAcute]s sur \
le march\[EAcute] et qui sont forts diff\[EAcute]rents de ceux \
pr\[EAcute]conis\[EAcute]s par la SIA et fournis par cette calculette."
}], "Text",
 CellChangeTimes->{{3.668663268144376*^9, 3.66866328608952*^9}, {
   3.668663351720696*^9, 3.6686633517225447`*^9}, {3.668663394969974*^9, 
   3.668663394973691*^9}, 3.668663482607636*^9}]
}, Open  ]]
},
WindowSize->{1038, 1062},
WindowMargins->{{Automatic, 504}, {Automatic, 58}},
FrontEndVersion->"10.4 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 25, \
2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 157, 2, 137, "Title"],
Cell[1646, 39, 243, 3, 76, "Subtitle"],
Cell[CellGroupData[{
Cell[1914, 46, 3435, 93, 631, "Input"],
Cell[5352, 141, 4564, 84, 370, "Output"]
}, Open  ]],
Cell[9931, 228, 1103, 27, 137, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature uuDy6#CbdfQ39CKHh3oLY0KP *)
